using System;
using System.Collections.Generic;
using System.Text;

namespace ReadFileViaReflection
{
    /// <summary>
    /// The value object that corresponds to the items found in testdata.txt
    ///
    /// Kerry Wong, http://www.kerrywong.com 
    /// </summary>
    public class InventoryItem
    {
        private string _itemName = null;
        private string _color = null;
        private string _size = null;
        private string _length = null;
        private string _quantity = null;

        public string ItemName
        {
            get { return _itemName; }
            set { _itemName = value; }
        }

        public string Color
        {
            get { return _color; }
            set { _color = value; }
        }

        public string Size
        {
            get { return _size; }
            set { _size = value; }
        }

        public string Length 
        {
            get { return _length; }
            set { _length = value; }
        }

        public string Quantity
        {
            get { return _quantity; }
            set { _quantity = value; }
        }
    }
}
